include:
  - project: 'nvax/ci'
    file:
      - '/config/ci.stages.yaml'
      - '/config/ci.rules.yaml'
      - '/config/env.versions.yaml'
      - '/config/docker.publish.yaml'

build:backend:
  image: adoptopenjdk/maven-openjdk11
  stage: build
  retry: 2
  artifacts:
    paths:
      - storm/target/
  script:
    - cd ./storm
    - mvn clean install -B

jar:publish:
  image: maven:3.6-jdk-11
  script:
    - 'mvn deploy -s ci_settings.xml'
  only:
    - main

docker:publish:
  extends:
    - .docker:publish
    - .ci:rule:only:default_branch
  variables:
    IMAGE_NAME: "/evaluator"
    CONTEXT: "evaluator"
    IMAGE_TAG: $VERSION_SEMVER
